%define name	jpilot-syncmal
%define version 0.80
%define release %mkrel 4

Name:		%{name}
Summary:	SyncMAL plugin for J-PILOT
Version:	%{version}
Release:	%{release}
Epoch:		1
Source:		http://jasonday.home.att.net/code/syncmal/%{name}-%{version}.tar.gz
Patch0:		jpilot-syncmal-0.80-lib64.patch
# disables GTK+ 1.x test in configure.in, as it trips up autoreconf
# and we're not building against GTK+ 1.x anyway - AdamW 2007/07
Patch1:		jpilot-syncmal-0.80-disable_gtk1.patch
Group:		Communications
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	MPL
BuildRequires:	gtk2-devel 
BuildRequires:	jpilot_plugin-devel >= 0.99.6 
BuildRequires:	pilot-link-devel >= 0.11.8 
BuildRequires:	chrpath
BuildRequires:	libmal-devel >= 0.44
BuildRequires:	autoconf
Requires:	malsync
Url:		http://jasonday.home.att.net/code/syncmal/syncmal.html

%description
SyncMAL is an interface to the command line tool malsync, a program
that synchronizes a PDA with a MAL server such as AvantGo.

See AvantGo's homepage <http://avantgo.com/> for more information on
AvantGo and MAL.

%prep

%setup -q
%patch0 -p1 -b .lib64
%patch1 -p1 -b .gtk1

%build

# needed by autoreconf
cp MPL-1_0.txt COPYING
touch NEWS
touch AUTHORS

# needed by patch0
AUTOMAKE="automake --add-missing" autoreconf

%configure --enable-gtk2

%make 

%install
rm -rf $RPM_BUILD_ROOT

# this ridiculous buildsystem seems immune to sensible patching.
# it only installs stuff in libdir, so let's just set that here.
# - AdamW 2007/07
make libdir=%{buildroot}%{_libdir}/jpilot/plugins install

./libtool --finish %{buildroot}%{_libdir}/jpilot/plugins/
chrpath -d %{buildroot}%{_libdir}/jpilot/plugins/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog MPL-1_0.txt TODO
%_libdir/jpilot/plugins/*


%changelog
* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.80-4mdv2008.1
+ Revision: 150421
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 17 2007 Olivier Blin <oblin@mandriva.com> 1:0.80-3mdv2008.0
+ Revision: 89129
- rebuild because of package loss

* Wed Jul 25 2007 Adam Williamson <awilliamson@mandriva.com> 1:0.80-2mdv2008.0
+ Revision: 55601
- okay, let's handle x86-64 a different way
- update patch0 to fix pilot-link test too
- add patch1 to disable GTK+ 1.x test which is stopping autoreconf working
- rework patch
- update buildrequires
- no need to include malsync source any more
- correct license
- spec clean
- drop patch1 (equivalent merged upstream)
- rediff patch0
- new release 0.80


* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.72.1-5mdv2007.0
- Patch1: fix build with pilot-link 0.12

* Sat Jul 01 2006 Stefan van der Eijk <stefan@mandriva.org> 1:0.72.1-4
- update from Cris B <cris@beebgames.com>
   - switch to gtk2

* Thu Mar 30 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1:0.72.1-3mdk
- use package libtool script

* Wed May 04 2005 Stew Benedict <sbenedict@mandriva.com> 1:0.72.1-2mdk
- fix 64bit build (P0, configure args)

* Thu Dec 18 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.72.1-1mdk
- 0.72.1

